Skip to main content
PATCH
/
v1
/
customer-portal
/
members
/
{id}
Update Member
curl --request PATCH \
  --url https://api.spairehq.com/v1/customer-portal/members/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role": "billing_manager"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "email": "<string>",
  "name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Member session tokens are specific tokens that are used to authenticate members on your organization. You can create those sessions programmatically using the Create Member Session endpoint.

Path Parameters

id
string<uuid>
required

Body

application/json

Schema for updating a member's role in the customer portal.

role
enum<string> | null

The new role for the member.

Available options:
owner,
billing_manager,
member
Example:

"billing_manager"

Response

Member updated.

A member of the customer's team as seen in the customer portal.

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

id
string<uuid4>
required

The ID of the object.

email
string
required

The email address of the member.

name
string | null
required

The name of the member.

role
enum<string>
required

The role of the member within the team.

Available options:
owner,
billing_manager,
member